VST 3 Examples: utf16nameentry.cpp File Reference
Author: Steinberg

VST 3 Examples VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Macros | Functions | Variables
utf16nameentry.cpp File Reference
`#include "utf16nameprocessor.h"`
`#include "utf16namecontroller.h"`
`#include "utf16namecids.h"`
`#include "version.h"`
`#include "public.sdk/source/main/pluginfactory.h"`

## Macros
#define | stringPluginNameU u"UTF16Name öüäéèê-やあ-مرحبًا"
#define | stringCompanyNameU u"Steinberg Media Technologies - öüäéèê-やあ-مرحبًا"
#define | CONCAT(prefix, text)
#define | U(text)
#define | TEXT "toto"
#define | UTEXT u##TEXT

## Functions
| BEGIN_FACTORY_DEF ("Steinberg Media Technologies", "http://www.steinberg.net", "mailto:info@steinberg.de") DEF_CLASS_W2(INLINE_UID_FROM_FUID(kUTF16NameProcessorUID)

## Variables
| kVstAudioEffectClass
u UTF16Name öüäéèê やあ | مرحبًا
u UTF16Name öüäéèê やあ | Fx
u UTF16Name öüäéèê やあ u Steinberg Media Technologies öüäéèê やあ | uFULL_VERSION_STR
u UTF16Name öüäéèê やあ u Steinberg Media Technologies öüäéèê やあ | ukVstVersionString

## Macro Definition Documentation

## ◆ stringPluginNameU

#define stringPluginNameU u"UTF16Name öüäéèê-やあ-مرحبًا"

## ◆ stringCompanyNameU

#define stringCompanyNameU u"Steinberg Media Technologies - öüäéèê-やあ-مرحبًا"

## ◆ CONCAT

#define CONCAT | ( |  | prefix,
|  |  | text )

Value:
prefix##text

## ◆ U

#define U | ( |  | text | ) |

Value:
CONCAT(u, text)
CONCAT
#define CONCAT(prefix, text)
Definition utf16nameentry.cpp:30

## ◆ TEXT

#define TEXT "toto"

## ◆ UTEXT

#define UTEXT u##TEXT

## Function Documentation

## ◆ BEGIN_FACTORY_DEF()

BEGIN_FACTORY_DEF | ( | "Steinberg Media Technologies" | ,
|  | "http://www.steinberg.net" | ,
|  | "mailto:info@steinberg.de" | )

## Variable Documentation

## ◆ kVstAudioEffectClass

kVstAudioEffectClass

## ◆ مرحبًا

u UTF16Name öüäéèê やあ u Steinberg Media Technologies öüäéèê やあ مرحبًا

## ◆ Fx

u UTF16Name öüäéèê やあ Fx

## ◆ uFULL_VERSION_STR

u UTF16Name öüäéèê やあ u Steinberg Media Technologies öüäéèê やあ uFULL_VERSION_STR

## ◆ ukVstVersionString

u UTF16Name öüäéèê やあ u Steinberg Media Technologies öüäéèê やあ ukVstVersionString

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.